{% extends '../index.html' %}

{% block head_content %}
<title>Neogram | Feed</title>
{% endblock head_content %}
{% block body %}
  {% include './navbar.html' %}
  <div class="container mt-5 pt-5">
    <div class="row justify-content-center">
      <div class="col-7 pr-5">
        {% for post in posts %}
          <div class="w-100 border rounded">
            <div class="media align-items-center">
              <a href="{% url 'posts:profile' post.user.username %}">
                <img
                  class="rounded-circle mr-3 ml-3 mt-3 mb-3"
                  src="media/{{ post.user.profile.picture }}"
                  alt="profile_pic" width="40px" height="40px"
                >
              </a>
              <div class="media-body">
                <div class="">
                  <a href="{% url 'posts:profile' post.user.username %}" class="font-weight-bold text-decoration-none text-dark">{{ post.user.username }}</a>
                </div>
              </div>
            </div>
            <img class="img-fluid" src="media/{{ post.picture }}" alt="post">
          </div>
          <br><br>
        {% endfor %}
      </div>
      <div class="col-3 pl-0">
        <div class="media align-items-center">
          <a href="#">
            <img
              class="rounded-circle mr-3 ml-3 mt-3 mb-3"
              src="media/{{ me.profile.picture }}"
              alt="profile_pic" width="60px" height="60px"
            >
          </a>
          <div class="media-body">
            <div class="">
              <a href="#" class="font-weight-bold text-decoration-none text-dark">{{ me.username }}</a>
              <div class="text-secondary">{{ me.first_name }}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock body %}
